Initialize dynflow executor in dev environment

11/30/2017 10:41 AM - Daniel Lobato Garcia

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Since https://github.com/theforeman/foreman/blob/develop/config/application.rb#L282 was introduced, dynflow tasks only start when

the dynflow executor has been executed outside of the web server.

In dev environments, we usually don't mind to run both the dynflow executor & Foreman in the same process, so that tasks can start

right away.

History

#1 - 11/30/2017 10:44 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Daniel Lobato Garcia

- Pull request https://github.com/theforeman/foreman/pull/5037 added

#2 - 09/28/2018 01:23 AM - The Foreman Bot

- Status changed from Ready For Testing to New

- Pull request deleted (https://github.com/theforeman/foreman/pull/5037)

#3 - 08/06/2021 08:29 AM - Leos Stejskal

- Status changed from New to Closed

Hi, I'm closing the issue,

it’s been a while since the last update, if you think that the issue is still relevant please feel free to reopen it.

Powered by TCPDF (www.tcpdf.org)

05/19/2024 1/1

https://github.com/theforeman/foreman/blob/develop/config/application.rb#L282
http://www.tcpdf.org

